/*
 * -----------------------------------------------------------------------------
 *
 * License and Copyright: 
 *
 * The contents of this file are subject to the Educational Community License 
 * (the "License"); you may not use this file except in compliance with the 
 * License. You may obtain a copy of the License at 
 * http://www.opensource.org/licenses/ecl1.txt.
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The entire file consists of original code.  Copyright &copy; 2002-2008 by 
 * The Rector and Visitors of Cornell University. All rights reserved.
 *
 * -----------------------------------------------------------------------------
 */

package org.nsdl.search;

import org.junit.runner.RunWith;
import org.junit.runners.Suite;

/**
 * All of the unit tests for this package and sub-packages.
 * 
 * @author jblake
 */
@RunWith(Suite.class)
@Suite.SuiteClasses( { org.nsdl.search.collContext.AllUnitTests.class,
		org.nsdl.search.content.AllUnitTests.class,
		org.nsdl.search.lucene.AllUnitTests.class,
		org.nsdl.search.oai.AllUnitTests.class,
		org.nsdl.search.processoai.AllUnitTests.class,
		org.nsdl.search.rest3.AllUnitTests.class })
public class AllUnitTests {
}
