/*
 * -----------------------------------------------------------------------------
 *
 * License and Copyright: 
 *
 * The contents of this file are subject to the Educational Community License 
 * (the "License"); you may not use this file except in compliance with the 
 * License. You may obtain a copy of the License at 
 * http://www.opensource.org/licenses/ecl1.txt.
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The entire file consists of original code.  Copyright &copy; 2002-2008 by 
 * The Rector and Visitors of Cornell University. All rights reserved.
 *
 * -----------------------------------------------------------------------------
 */

package org.nsdl.search.lucene.wrapper;

import static junit.framework.Assert.fail;

import org.junit.Ignore;
import org.junit.Test;

/**
 * TODO: Hard to implement these since Hits is a final class.
 * 
 * @author jblake
 */
public class TestSearchResultsImpl {

	@Test
	@Ignore
	public void badArgumentsToConstructor() {
		fail("not implemented");
	}

	@Test
	@Ignore
	public void foundLessThanMax() {
		// check all getters, and iterator to see that we get the right
		// documents.
		fail("not implemented");
	}

	@Test
	@Ignore
	public void foundEqualToMax() {
		fail("not implemented");
	}

	@Test
	@Ignore
	public void foundMoreThanMax() {
		fail("not implemented");
	}

	@Test
	@Ignore
	public void foundLessThanMaxWithSkip() {
		fail("not implemented");
	}

	@Test
	@Ignore
	public void foundEqualToMaxWithSkip() {
		fail("not implemented");
	}

	@Test
	@Ignore
	public void foundMoreThanMaxWithSkip() {
		fail("not implemented");
	}

	@Test(expected = UnsupportedOperationException.class)
	@Ignore
	public void removeFromIterator() {
		fail("not implemented");
	}

}
